install_sound(3)

NAME
install_sound - Initialises the sound module. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int install_sound(int digi, int midi, const char *cfg_path);

DESCRIPTION
Initialises the sound module. You should normally pass DIGI_AUTODETECT and MIDI_AUTODETECT as the driver parameters to this function, in which case Allegro will read hardware settings from the current configuration file. This allows the user to select different values with the setup utility: see the config section for details. Alternatively, see the platform specific documentation for a list of the available drivers. The cfg_path parameter is only present for compatibility with previous versions of Allegro, and has no effect on anything.

RETURN VALUE
Returns zero if the sound is successfully installed, and -1 on failure. If it fails it will store a description of the problem in allegro_error.

SEE ALSO
remove_sound(3), reserve_voices(3), detect_digi_driver(3), detect_midi_driver(3), set_volume(3), play_sample(3), play_midi(3), play_audio_stream(3), install_sound_input(3), allegro_error(3), set_mixer_quality(3), exmidi(3), exsample(3), exsprite(3), exstream(3)